<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos";

$sessao = new sessao();
$objetocalculo=new calculos();
$resgateMes=$objetocalculo->meses();
$anoCorrente=$sessao->getvar('anocorrente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$requerente=$sessao->getVar('requerente');
//echo(" Operador: $nomeOperador idlabo=$idLabo  anoCorrente $anoCorrente  requerente=$requerente<br>");
////////////
//aqui vou fazer pesquisa por mes para fins de tirar o relatorio mensal
//e tambem vou fazer pesquisa por requerente

//como sera esta pesquisa:
//o sistema vai pegar todos requerentes colocando dentro de um vetor vetor requerente
//em seguida ele pesquisa se o requerente tem pedidos 
//ENTRA DE QUAKQUER MANEIRA
$objPagamento=new tabelagenerica();
$objRequerente=new tabelagenerica();
$objetocalculo=new calculos();
//cria  tabela de requerentes e seus respectivos servicos encomendados
$objRequerente->tabela="remetente";
$objRequerente->campos_valores = array(
		"prd_nome" => NULL,
        "prd_id"=>NULL,
	);


switch ($tela):
    case 'totalMes':
        $anoDigitado=$_POST['ano'];
        if(empty($anoDogitado)==TRUE):
  	       $ano=$anoCorrente;
	    else:
  	       $ano=$anoDigitado;
		endif;
	
	    if(isset($_POST['ativarAno'])):
           $ano=$_POST['ano'];
           $mes=$_POST['nomeComboMes'];
		   $mesCombo=$_POST['nomeComboMes'];
		endif;
	    $sessao->setVar('controle',$ano);
	    $sessao->setVar('controle1',$mes);
        //ja entra aqui e da uma ideia do relatorio que vai ter
		//com os totais de amostras recebidas no mes e ai vai pode tirar toods derlatorios  
        echo '<h2>Amostras recebidas no ano '.$ano.'</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "30px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Janeiro</th><th>Fevereiro</th><th>Março</th><th>Abril</th><th>Maio</th><th>Junho</th><th>Julho</th><th>Agosto</th><th>Setembro</th><th>Outubro</th><th>Novembro</th><th>Dezembro</th><th>Soma</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $userOcorrencias=new tabelagenerica();
				$userOcorrencias->extras_select =" select fic_dt_entrada  from ficha where year(fic_dt_entrada)=".$anoCorrente." and fic_labo=".$idLabo;
				$userOcorrencias->selecionaCamposEspecial($userOcorrencias);
				$contador=50;
				//for($i=1;$i<=13;$i++)$matriz[$i]=0;
				$matriz[]=0;
			    while ($resOcorrencias = $userOcorrencias->retornaDados()):
				    $contador++;
                    $mes=substr($resOcorrencias->fic_dt_entrada,5,2);
					$mes=$mes*1;
                    $matriz[$mes]=$matriz[$mes]+1;
                    $matriz[13]++;
                endwhile;	
                    $contador;
                    echo '<tr>';
                    for($i=1;$i<=13;$i++):
                      printf('<td>%s</td>',$matriz[$i]);
                    endfor;
                    echo '</tr>';
               ?>
            </tbody>
        </table>
<br>
	            <form class="userform" method="POST" action="">
				<fieldset>
					<table width="800">
                    <tr>
					<td>
                    Ano:<input type="text" name="ano" value="<?php echo $ano;?>" size="2" />
                    Mes:
					<select name="nomeComboMes"  multiple  onchange="ClikButton(9)">  
					<?php
					foreach($resgateMes aS $vlr)
					{
					  if($vlr!="")
					  {
						  ?>
						  <option><?php echo $vlr?></option>
						  <?php
					  }
					}
					?>
				    </select>

						<input type="submit" name="ativarAno" value="Ativar ano" />Salva ano e mes para utilizar nalguns relatórios, que abrem a seguir.
						</td>
                    </tr>
					</table>

					<table width="800">
                      <tr>
						<td bgcolor="#6f776f"><a href="recebidasEspecie.php">Recebidas/espécie e por mes</a></td><!--LINK DIRETO PARA O RELATORIO-->
                    </tr>
                      <tr>
						<td bgcolor="#444844"><a href="recebidasEspecieCultivar.php">Recebidas/cultivar(espécie) e por mes</a></td><!--LINK DIRETO PARA O RELATORIO-->
                    </tr>
                      <tr>
						<td bgcolor="#6f776f"><a href="recebidasRequerente.php">Recebidas/requerente e por mes</a></td><!--LINK DIRETO PARA O RELATORIO-->
                    </tr>

                      <tr">
						<td bgcolor="#444844"><a href="imprimeRMA.php">RMA   (Fixo: SOJA,TRIGO,MILHO e ARROZ=12determinções. As demais 10</a></td><!--LINK DIRETO PARA O RELATORIO-->
                       </tr>
                      <tr>
						<td bgcolor="#6f776f"><a href="imprimeRMA_indea.php">RMA   (Por testes solicitados: PUREZA=3;DOS=4:GER=5  As demais=1</a></td><!--LINK DIRETO PARA O RELATORIO-->
                      </tr>
                      <tr>
						<td bgcolor="#444844"><a href="imprimeRMA_simples.php">RMA   (Por testes solicitados: Todos valendo 1</a></td><!--LINK DIRETO PARA O RELATORIO-->
                      </tr>
                      <tr>
						<td bgcolor="#6f776f"><a href="imprimePerformance.php">PERFORMANCE   (Conta os testes solicitados por espécie, até a data de extração do relatório)</a></td><!--LINK DIRETO PARA O RELATORIO-->
					  </tr>	
                      <tr>
						<td bgcolor="#444844"><a href="imprimeRMA_2020RS.php">RMA   (Por testes solicitados: GERMINAÇÃO=5; DOSN=4; PUREZA=3 As demais determinações=1 <?php echo "Mes:". $mesCombo.'/'.$ano;?>'   </a></td><!--LINK DIRETO PARA O RELATORIO-->
                      </tr>


					</table>


					</<fieldset>
					</form>
        <?php        
    break;
	
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>